Index: src/sas/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- src/sas/perspectives/calculator/kiessig_calculator_panel.py	(revision 9654baf161b77d48c0fc3cbe3b1f1329609b4f47)
+++ src/sas/perspectives/calculator/kiessig_calculator_panel.py	(revision 26d2d88f4e7d62bfead6d821bd87e791d2b6ff97)
@@ -2,5 +2,5 @@
 This software was developed by the University of Tennessee as part of the
 Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
+project funded by the US National Science Foundation.
 
 See the license text in license.txt
@@ -13,12 +13,12 @@
 
 from sas.guiframe.panel_base import PanelBase
-from sas.calculator.kiessig_calculator import KiessigThicknessCalculator 
+from sas.calculator.kiessig_calculator import KiessigThicknessCalculator
 from calculator_widgets import OutputTextCtrl
 from calculator_widgets import InputTextCtrl
-from sas.perspectives.calculator import calculator_widgets as widget   
+from sas.perspectives.calculator import calculator_widgets as widget
 from sas.guiframe.documentation_window import DocumentationWindow
 
 _BOX_WIDTH = 77
-#Slit length panel size 
+#Slit length panel size
 if sys.platform.count("win32") > 0:
     PANEL_WIDTH = 500
@@ -40,10 +40,10 @@
     ## Flag to tell the AUI manager to put this panel in the center pane
     CENTER_PANE = True
-    
+
     def __init__(self, parent, *args, **kwds):
         wx.Panel.__init__(self, parent, *args, **kwds)
         PanelBase.__init__(self)
-        #Font size 
-        self.SetWindowVariant(variant=FONT_VARIANT)  
+        #Font size
+        self.SetWindowVariant(variant=FONT_VARIANT)
         # Object that receive status event
         self.parent = parent
@@ -52,5 +52,5 @@
         self.hint_sizer = None
         self._do_layout()
-       
+
     def _define_structure(self):
         """
@@ -61,10 +61,10 @@
                                 str("Kiessig Thickness Calculator"))
         self.boxsizer_source = wx.StaticBoxSizer(self.box_source,
-                                                    wx.VERTICAL)
+                                                 wx.VERTICAL)
         self.dq_name_sizer = wx.BoxSizer(wx.HORIZONTAL)
         self.thickness_size_sizer = wx.BoxSizer(wx.HORIZONTAL)
         self.hint_sizer = wx.BoxSizer(wx.HORIZONTAL)
         self.button_sizer = wx.BoxSizer(wx.HORIZONTAL)
-       
+
     def _layout_dq_name(self):
         """
@@ -74,6 +74,6 @@
         dq_value = str(self.kiessig.get_deltaq())
         dq_unit_txt = wx.StaticText(self, -1, '[1/A]')
-        dq_name_txt = wx.StaticText(self, -1, 
-                                'Kiessig Fringe Width (Delta Q): ')
+        dq_name_txt = wx.StaticText(self, -1,
+                                    'Kiessig Fringe Width (Delta Q): ')
         self.dq_name_tcl = InputTextCtrl(self, -1, 
                                          size=(_BOX_WIDTH,-1))
@@ -89,6 +89,7 @@
         self.dq_name_sizer.AddMany([(dq_name_txt, 0, wx.LEFT, 15),
                                     (self.dq_name_tcl, 0, wx.LEFT, 15),
-                                    (dq_unit_txt,0, wx.LEFT, 10),
-                                (self.compute_button, 0, wx.LEFT, 30)])
+                                    (dq_unit_txt, 0, wx.LEFT, 10),
+                                    (self.compute_button, 0, wx.LEFT, 30)])
+
     def _layout_thickness_size(self):
         """
@@ -96,16 +97,16 @@
         """
         thick_unit = '['+self.kiessig.get_thickness_unit() +']'
-        thickness_size_txt = wx.StaticText(self, -1, 
+        thickness_size_txt = wx.StaticText(self, -1,
                                            'Thickness (or Diameter): ')
-        self.thickness_size_tcl = OutputTextCtrl(self, -1, 
+        self.thickness_size_tcl = OutputTextCtrl(self, -1,
                                                  size=(_BOX_WIDTH,-1))
         thickness_size_hint = " Estimated Size in Real Space"
         self.thickness_size_tcl.SetToolTipString(thickness_size_hint)
         thickness_size_unit_txt = wx.StaticText(self, -1, thick_unit)
-        
+
         self.thickness_size_sizer.AddMany([(thickness_size_txt, 0, wx.LEFT, 15),
-                                    (self.thickness_size_tcl, 0, wx.LEFT, 15),
-                                    (thickness_size_unit_txt, 0, wx.LEFT, 10)])
-    
+                                           (self.thickness_size_tcl, 0, wx.LEFT, 15),
+                                           (thickness_size_unit_txt, 0, wx.LEFT, 10)])
+
     def _layout_hint(self):
         """
@@ -119,5 +120,5 @@
         self.hint_txt = wx.StaticText(self, -1, hint_msg)
         self.hint_sizer.AddMany([(self.hint_txt, 0, wx.LEFT, 15)])
-    
+
     def _layout_button(self):  
         """
@@ -125,14 +126,14 @@
         """ 
         id = wx.NewId()
-        self.bt_help = wx.Button(self, id,'HELP')
+        self.bt_help = wx.Button(self, id, 'HELP')
         self.bt_help.Bind(wx.EVT_BUTTON, self.on_help)
         self.bt_help.SetToolTipString("Help using the Kiessig fringe calculator.")
 
-        self.bt_close = wx.Button(self, wx.ID_CANCEL,'Close')
+        self.bt_close = wx.Button(self, wx.ID_CANCEL, 'Close')
         self.bt_close.Bind(wx.EVT_BUTTON, self.on_close)
         self.bt_close.SetToolTipString("Close this window.")
         self.button_sizer.AddMany([(self.bt_help, 0, wx.LEFT, 260),
                                    (self.bt_close, 0, wx.LEFT, 20)])
-        
+
     def _do_layout(self):
         """
@@ -145,33 +146,32 @@
         self._layout_button()
         self.boxsizer_source.AddMany([(self.dq_name_sizer, 0,
-                                          wx.EXPAND|wx.TOP|wx.BOTTOM, 5),
-                                   (self.thickness_size_sizer, 0,
-                                     wx.EXPAND|wx.TOP|wx.BOTTOM, 5),
-                                     (self.hint_sizer, 0,
-                                     wx.EXPAND|wx.TOP|wx.BOTTOM, 5)])
+                                       wx.EXPAND|wx.TOP|wx.BOTTOM, 5),
+                                      (self.thickness_size_sizer, 0,
+                                       wx.EXPAND|wx.TOP|wx.BOTTOM, 5),
+                                      (self.hint_sizer, 0,
+                                       wx.EXPAND|wx.TOP|wx.BOTTOM, 5)])
         self.main_sizer.AddMany([(self.boxsizer_source, 0, wx.ALL, 10),
-                                  (self.button_sizer, 0,
-                                    wx.EXPAND|wx.TOP|wx.BOTTOM, 5)])
+                                 (self.button_sizer, 0,
+                                  wx.EXPAND|wx.TOP|wx.BOTTOM, 5)])
         self.SetSizer(self.main_sizer)
         self.SetAutoLayout(True)
 
-    def on_help(self, event):    
+    def on_help(self, event):
         """
         Bring up the Kiessig fringe calculator Documentation whenever
-        the HELP button is clicked. 
-        
+        the HELP button is clicked.
         Calls DocumentationWindow with the path of the location within the
-        documentation tree (after /doc/ ....".  Note that when using old 
-        versions of Wx (before 2.9) and thus not the release version of 
-        installers, the help comes up at the top level of the file as 
+        documentation tree (after /doc/ ....".  Note that when using old
+        versions of Wx (before 2.9) and thus not the release version of
+        installers, the help comes up at the top level of the file as
         webbrowser does not pass anything past the # to the browser when it is
         running "file:///...."
-    
+
     :param evt: Triggers on clicking the help button
     """
-                
         _TreeLocation = "user/perspectives/calculator/kiessig_calculator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation,"Density/Volume Calculator Help")
+        _doc_viewer = DocumentationWindow(self, -1,
+                                          _TreeLocation,
+                                          "Density/Volume Calculator Help")
 
     def on_close(self, event):
@@ -182,5 +182,5 @@
         if event is not None:
             event.Skip()
-        
+
     def on_compute(self, event):
         """
@@ -197,10 +197,10 @@
         # set tcl
         self.thickness_size_tcl.SetValue(str(thickness))
-        
+
     def format_number(self, value=None):
         """
-        Return a float in a standardized, human-readable formatted string 
-        """
-        try: 
+        Return a float in a standardized, human-readable formatted string
+        """
+        try:
             value = float(value)
         except:
@@ -209,5 +209,5 @@
 
         output = "%-7.4g" % value
-        return output.lstrip().rstrip()   
+        return output.lstrip().rstrip()
     
     def _onparamEnter(self, event = None):
@@ -216,5 +216,5 @@
         """
         self.on_compute(event)
-             
+
 class KiessigWindow(widget.CHILD_FRAME):
     def __init__(self, parent=None, manager=None, 
@@ -239,9 +239,8 @@
         self.Destroy()
 
-        
-if __name__ == "__main__": 
+if __name__ == "__main__":
     app = wx.PySimpleApp()
     widget.CHILD_FRAME = wx.Frame
-    frame = KiessigWindow()    
+    frame = KiessigWindow()
     frame.Show(True)
-    app.MainLoop()     
+    app.MainLoop()
